/hookdeck-events | Type: Application | PCID required: Yes
Tools
hookdeck_events_cancel_event
Cancel an event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Event ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Event ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_cancel_event_bulk_retry
Cancel an events bulk retry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Bulk retry ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Bulk retry ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_cancel_event_mute
Cancel an event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Event ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Event ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_cancel_ignored_event_bulk_retry
Cancel an ignored events bulk retry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Bulk retry ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Bulk retry ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_cancel_request_bulk_retry
Cancel a requests bulk retry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Bulk retry ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Bulk retry ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_create_event_bulk_cancel
Create an events bulk cancel Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | object | No | — | Filter properties for the events to be included in the bulk cancel |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "object",
"description": "Filter properties for the events to be included in the bulk cancel",
"properties": {
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by event IDs"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SCHEDULED",
"QUEUED",
"HOLD",
"SUCCESSFUL",
"FAILED",
"CANCELLED"
]
},
"description": "Lifecyle status of the event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by connection (webhook) IDs"
},
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination IDs"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"attempts": {
"description": "Filter by number of attempts"
},
"response_status": {
"description": "Filter by HTTP response status code"
},
"successful_at": {
"description": "Filter by `successful_at` date using a date operator"
},
"created_at": {
"description": "Filter by `created_at` date using a date operator"
},
"error_code": {
"type": "array",
"items": {
"type": "string",
"enum": [
"BAD_RESPONSE",
"CANCELLED",
"TIMEOUT",
"NOT_FOUND",
"CANCELLED_PAST_RETENTION",
"CONNECTION_REFUSED",
"CONNECTION_RESET",
"MISSING_URL",
"CLI",
"CLI_UNAVAILABLE",
"SELF_SIGNED_CERT",
"ERR_TLS_CERT_ALTNAME_INVALID",
"ERR_SSL_WRONG_VERSION_NUMBER",
"NETWORK_ERROR",
"NETWORK_REQUEST_CANCELED",
"NETWORK_UNREACHABLE",
"TOO_MANY_REDIRECTS",
"INVALID_CHARACTER",
"INVALID_URL",
"SSL_ERROR_CA_UNKNOWN",
"DATA_ARCHIVED",
"SSL_CERT_EXPIRED",
"BULK_RETRY_CANCELLED",
"DNS_LOOKUP_FAILED",
"HOST_UNREACHABLE",
"INTERNAL_ERROR",
"PROTOCOL_ERROR",
"PAYLOAD_MISSING",
"UNABLE_TO_GET_ISSUER_CERT",
"SOCKET_CLOSED",
"OAUTH2_HANDSHAKE_FAILED",
"Z_DATA_ERROR",
"UNKNOWN"
]
},
"description": "Filter by error code code"
},
"cli_id": {
"description": "Filter by CLI IDs. `?[any]=true` operator for any CLI."
},
"last_attempt_at": {
"description": "Filter by `last_attempt_at` date using a date operator"
},
"next_attempt_at": {
"description": "Filter by `next_attempt_at` date using a date operator"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"cli_user_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Cli User Id"
},
"issue_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Issue Id"
},
"event_data_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Event Data Id"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
}
}
}
},
"required": [
"PCID"
]
}
hookdeck_events_create_event_bulk_retry
Create an events bulk retry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | object | No | — | Filter properties for the events to be included in the bulk retry |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "object",
"description": "Filter properties for the events to be included in the bulk retry",
"properties": {
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by event IDs"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SCHEDULED",
"QUEUED",
"HOLD",
"SUCCESSFUL",
"FAILED",
"CANCELLED"
]
},
"description": "Lifecyle status of the event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by connection (webhook) IDs"
},
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination IDs"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"attempts": {
"description": "Filter by number of attempts"
},
"response_status": {
"description": "Filter by HTTP response status code"
},
"successful_at": {
"description": "Filter by `successful_at` date using a date operator"
},
"created_at": {
"description": "Filter by `created_at` date using a date operator"
},
"error_code": {
"type": "array",
"items": {
"type": "string",
"enum": [
"BAD_RESPONSE",
"CANCELLED",
"TIMEOUT",
"NOT_FOUND",
"CANCELLED_PAST_RETENTION",
"CONNECTION_REFUSED",
"CONNECTION_RESET",
"MISSING_URL",
"CLI",
"CLI_UNAVAILABLE",
"SELF_SIGNED_CERT",
"ERR_TLS_CERT_ALTNAME_INVALID",
"ERR_SSL_WRONG_VERSION_NUMBER",
"NETWORK_ERROR",
"NETWORK_REQUEST_CANCELED",
"NETWORK_UNREACHABLE",
"TOO_MANY_REDIRECTS",
"INVALID_CHARACTER",
"INVALID_URL",
"SSL_ERROR_CA_UNKNOWN",
"DATA_ARCHIVED",
"SSL_CERT_EXPIRED",
"BULK_RETRY_CANCELLED",
"DNS_LOOKUP_FAILED",
"HOST_UNREACHABLE",
"INTERNAL_ERROR",
"PROTOCOL_ERROR",
"PAYLOAD_MISSING",
"UNABLE_TO_GET_ISSUER_CERT",
"SOCKET_CLOSED",
"OAUTH2_HANDSHAKE_FAILED",
"Z_DATA_ERROR",
"UNKNOWN"
]
},
"description": "Filter by error code code"
},
"cli_id": {
"description": "Filter by CLI IDs. `?[any]=true` operator for any CLI."
},
"last_attempt_at": {
"description": "Filter by `last_attempt_at` date using a date operator"
},
"next_attempt_at": {
"description": "Filter by `next_attempt_at` date using a date operator"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"cli_user_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Cli User Id"
},
"issue_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Issue Id"
},
"event_data_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Event Data Id"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
}
}
}
},
"required": [
"PCID"
]
}
hookdeck_events_create_ignored_event_bulk_retry
Create an ignored events bulk retry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | object | No | — | Filter by the bulk retry ignored event query object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "object",
"description": "Filter by the bulk retry ignored event query object",
"properties": {
"cause": {
"type": "array",
"items": {
"type": "string"
},
"description": "The cause of the ignored event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Connection (webhook) ID of the ignored event"
},
"transformation_id": {
"type": "string",
"description": "The associated transformation ID (only applicable to the cause `TRANSFORMATION_FAILED`)"
}
}
}
},
"required": [
"PCID"
]
}
hookdeck_events_create_request_bulk_retry
Create a requests bulk retry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | object | No | — | Filter properties for the events to be included in the bulk retry, use query parameters of Requests |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "object",
"description": "Filter properties for the events to be included in the bulk retry, use query parameters of [Requests](#requests)",
"properties": {
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by requests IDs"
},
"status": {
"type": "string",
"description": "Filter by status",
"enum": [
"accepted",
"rejected"
]
},
"rejection_cause": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SOURCE_DISABLED",
"NO_CONNECTION",
"VERIFICATION_FAILED",
"UNSUPPORTED_HTTP_METHOD",
"UNSUPPORTED_CONTENT_TYPE",
"UNPARSABLE_JSON",
"PAYLOAD_TOO_LARGE",
"INGESTION_FATAL",
"UNKNOWN"
]
},
"description": "Filter by rejection cause"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"verified": {
"type": "boolean",
"description": "Filter by verification status"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"ignored_count": {
"description": "Filter by count of ignored events"
},
"events_count": {
"description": "Filter by count of events"
},
"cli_events_count": {
"description": "Filter by count of CLI events"
},
"created_at": {
"description": "Filter by request created date"
},
"ingested_at": {
"description": "Filter by request ingested date"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
}
}
}
},
"required": [
"PCID"
]
}
hookdeck_events_generate_event_bulk_cancel_plan
Generate an events bulk cancel plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | object | No | — | Filter properties for the events to be included in the bulk cancel |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "object",
"description": "Filter properties for the events to be included in the bulk cancel",
"properties": {
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by event IDs"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SCHEDULED",
"QUEUED",
"HOLD",
"SUCCESSFUL",
"FAILED",
"CANCELLED"
]
},
"description": "Lifecyle status of the event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by connection (webhook) IDs"
},
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination IDs"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"attempts": {
"description": "Filter by number of attempts"
},
"response_status": {
"description": "Filter by HTTP response status code"
},
"successful_at": {
"description": "Filter by `successful_at` date using a date operator"
},
"created_at": {
"description": "Filter by `created_at` date using a date operator"
},
"error_code": {
"type": "array",
"items": {
"type": "string",
"enum": [
"BAD_RESPONSE",
"CANCELLED",
"TIMEOUT",
"NOT_FOUND",
"CANCELLED_PAST_RETENTION",
"CONNECTION_REFUSED",
"CONNECTION_RESET",
"MISSING_URL",
"CLI",
"CLI_UNAVAILABLE",
"SELF_SIGNED_CERT",
"ERR_TLS_CERT_ALTNAME_INVALID",
"ERR_SSL_WRONG_VERSION_NUMBER",
"NETWORK_ERROR",
"NETWORK_REQUEST_CANCELED",
"NETWORK_UNREACHABLE",
"TOO_MANY_REDIRECTS",
"INVALID_CHARACTER",
"INVALID_URL",
"SSL_ERROR_CA_UNKNOWN",
"DATA_ARCHIVED",
"SSL_CERT_EXPIRED",
"BULK_RETRY_CANCELLED",
"DNS_LOOKUP_FAILED",
"HOST_UNREACHABLE",
"INTERNAL_ERROR",
"PROTOCOL_ERROR",
"PAYLOAD_MISSING",
"UNABLE_TO_GET_ISSUER_CERT",
"SOCKET_CLOSED",
"OAUTH2_HANDSHAKE_FAILED",
"Z_DATA_ERROR",
"UNKNOWN"
]
},
"description": "Filter by error code code"
},
"cli_id": {
"description": "Filter by CLI IDs. `?[any]=true` operator for any CLI."
},
"last_attempt_at": {
"description": "Filter by `last_attempt_at` date using a date operator"
},
"next_attempt_at": {
"description": "Filter by `next_attempt_at` date using a date operator"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"cli_user_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Cli User Id"
},
"issue_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Issue Id"
},
"event_data_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Event Data Id"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
}
}
}
},
"required": [
"PCID"
]
}
hookdeck_events_generate_event_bulk_retry_plan
Generate an events bulk retry plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | object | No | — | Filter properties for the events to be included in the bulk retry |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "object",
"description": "Filter properties for the events to be included in the bulk retry",
"properties": {
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by event IDs"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SCHEDULED",
"QUEUED",
"HOLD",
"SUCCESSFUL",
"FAILED",
"CANCELLED"
]
},
"description": "Lifecyle status of the event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by connection (webhook) IDs"
},
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination IDs"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"attempts": {
"description": "Filter by number of attempts"
},
"response_status": {
"description": "Filter by HTTP response status code"
},
"successful_at": {
"description": "Filter by `successful_at` date using a date operator"
},
"created_at": {
"description": "Filter by `created_at` date using a date operator"
},
"error_code": {
"type": "array",
"items": {
"type": "string",
"enum": [
"BAD_RESPONSE",
"CANCELLED",
"TIMEOUT",
"NOT_FOUND",
"CANCELLED_PAST_RETENTION",
"CONNECTION_REFUSED",
"CONNECTION_RESET",
"MISSING_URL",
"CLI",
"CLI_UNAVAILABLE",
"SELF_SIGNED_CERT",
"ERR_TLS_CERT_ALTNAME_INVALID",
"ERR_SSL_WRONG_VERSION_NUMBER",
"NETWORK_ERROR",
"NETWORK_REQUEST_CANCELED",
"NETWORK_UNREACHABLE",
"TOO_MANY_REDIRECTS",
"INVALID_CHARACTER",
"INVALID_URL",
"SSL_ERROR_CA_UNKNOWN",
"DATA_ARCHIVED",
"SSL_CERT_EXPIRED",
"BULK_RETRY_CANCELLED",
"DNS_LOOKUP_FAILED",
"HOST_UNREACHABLE",
"INTERNAL_ERROR",
"PROTOCOL_ERROR",
"PAYLOAD_MISSING",
"UNABLE_TO_GET_ISSUER_CERT",
"SOCKET_CLOSED",
"OAUTH2_HANDSHAKE_FAILED",
"Z_DATA_ERROR",
"UNKNOWN"
]
},
"description": "Filter by error code code"
},
"cli_id": {
"description": "Filter by CLI IDs. `?[any]=true` operator for any CLI."
},
"last_attempt_at": {
"description": "Filter by `last_attempt_at` date using a date operator"
},
"next_attempt_at": {
"description": "Filter by `next_attempt_at` date using a date operator"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"cli_user_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Cli User Id"
},
"issue_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Issue Id"
},
"event_data_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Event Data Id"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
}
}
}
},
"required": [
"PCID"
]
}
hookdeck_events_generate_ignored_event_bulk_retry_plan
Generate an ignored events bulk retry plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | object | No | — | Filter by the bulk retry ignored event query object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "object",
"description": "Filter by the bulk retry ignored event query object",
"properties": {
"cause": {
"type": "array",
"items": {
"type": "string"
},
"description": "The cause of the ignored event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Connection (webhook) ID of the ignored event"
},
"transformation_id": {
"type": "string",
"description": "The associated transformation ID (only applicable to the cause `TRANSFORMATION_FAILED`)"
}
}
}
},
"required": [
"PCID"
]
}
hookdeck_events_generate_request_bulk_retry_plan
Generate a requests bulk retry plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | object | No | — | Filter properties for the events to be included in the bulk retry, use query parameters of Requests |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "object",
"description": "Filter properties for the events to be included in the bulk retry, use query parameters of [Requests](#requests)",
"properties": {
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by requests IDs"
},
"status": {
"type": "string",
"description": "Filter by status",
"enum": [
"accepted",
"rejected"
]
},
"rejection_cause": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SOURCE_DISABLED",
"NO_CONNECTION",
"VERIFICATION_FAILED",
"UNSUPPORTED_HTTP_METHOD",
"UNSUPPORTED_CONTENT_TYPE",
"UNPARSABLE_JSON",
"PAYLOAD_TOO_LARGE",
"INGESTION_FATAL",
"UNKNOWN"
]
},
"description": "Filter by rejection cause"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"verified": {
"type": "boolean",
"description": "Filter by verification status"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"ignored_count": {
"description": "Filter by count of ignored events"
},
"events_count": {
"description": "Filter by count of events"
},
"cli_events_count": {
"description": "Filter by count of CLI events"
},
"created_at": {
"description": "Filter by request created date"
},
"ingested_at": {
"description": "Filter by request ingested date"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
}
}
}
},
"required": [
"PCID"
]
}
hookdeck_events_get_attempt
Get a single attempt Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Attempt ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Attempt ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_attempts
Get attempts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string[] | No | — | ID of the attempt |
event_id | string[] | No | — | Event the attempt is associated with |
order_by | string[] | No | — | Sort key(s) |
dir | string[] | No | — | Sort direction(s) |
limit | integer | No | — | Result set size |
next | string | No | — | The ID to provide in the query to get the next set of results |
prev | string | No | — | The ID to provide in the query to get the previous set of results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "ID of the attempt"
},
"event_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Event the attempt is associated with"
},
"order_by": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at"
]
},
"description": "Sort key(s)"
},
"dir": {
"type": "array",
"items": {
"type": "string",
"enum": [
"asc",
"desc"
]
},
"description": "Sort direction(s)"
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
},
"required": [
"PCID"
]
}
hookdeck_events_get_event
Get an event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Event ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Event ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_event_bulk_cancel
Get an events bulk cancel Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Bulk cancel ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Bulk cancel ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_event_bulk_cancels
Get events bulk cancels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cancelled_at | object | No | — | Filter by date the bulk cancel was cancelled |
completed_at | object | No | — | Filter by date the bulk cancel completed |
created_at | object | No | — | Filter by date the bulk cancel was created |
id | string[] | No | — | Filter by bulk cancel IDs |
query | object | No | — | Filter for events to be included in the bulk cancel operation, use query parameters of Event |
query_partial_match | boolean | No | — | Allow partial filter match on query property |
in_progress | boolean | No | — | Indicates if the bulk cancel is currently in progress |
order_by | string[] | No | — | Sort key(s) |
dir | string[] | No | — | Sort direction(s) |
limit | integer | No | — | Result set size |
next | string | No | — | The ID to provide in the query to get the next set of results |
prev | string | No | — | The ID to provide in the query to get the previous set of results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cancelled_at": {
"description": "Filter by date the bulk cancel was cancelled"
},
"completed_at": {
"description": "Filter by date the bulk cancel completed"
},
"created_at": {
"description": "Filter by date the bulk cancel was created"
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by bulk cancel IDs"
},
"query": {
"type": "object",
"description": "Filter for events to be included in the bulk cancel operation, use query parameters of [Event](#events)",
"properties": {
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by event IDs"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SCHEDULED",
"QUEUED",
"HOLD",
"SUCCESSFUL",
"FAILED",
"CANCELLED"
]
},
"description": "Lifecyle status of the event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by connection (webhook) IDs"
},
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination IDs"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"attempts": {
"description": "Filter by number of attempts"
},
"response_status": {
"description": "Filter by HTTP response status code"
},
"successful_at": {
"description": "Filter by `successful_at` date using a date operator"
},
"created_at": {
"description": "Filter by `created_at` date using a date operator"
},
"error_code": {
"type": "array",
"items": {
"type": "string",
"enum": [
"BAD_RESPONSE",
"CANCELLED",
"TIMEOUT",
"NOT_FOUND",
"CANCELLED_PAST_RETENTION",
"CONNECTION_REFUSED",
"CONNECTION_RESET",
"MISSING_URL",
"CLI",
"CLI_UNAVAILABLE",
"SELF_SIGNED_CERT",
"ERR_TLS_CERT_ALTNAME_INVALID",
"ERR_SSL_WRONG_VERSION_NUMBER",
"NETWORK_ERROR",
"NETWORK_REQUEST_CANCELED",
"NETWORK_UNREACHABLE",
"TOO_MANY_REDIRECTS",
"INVALID_CHARACTER",
"INVALID_URL",
"SSL_ERROR_CA_UNKNOWN",
"DATA_ARCHIVED",
"SSL_CERT_EXPIRED",
"BULK_RETRY_CANCELLED",
"DNS_LOOKUP_FAILED",
"HOST_UNREACHABLE",
"INTERNAL_ERROR",
"PROTOCOL_ERROR",
"PAYLOAD_MISSING",
"UNABLE_TO_GET_ISSUER_CERT",
"SOCKET_CLOSED",
"OAUTH2_HANDSHAKE_FAILED",
"Z_DATA_ERROR",
"UNKNOWN"
]
},
"description": "Filter by error code code"
},
"cli_id": {
"description": "Filter by CLI IDs. `?[any]=true` operator for any CLI."
},
"last_attempt_at": {
"description": "Filter by `last_attempt_at` date using a date operator"
},
"next_attempt_at": {
"description": "Filter by `next_attempt_at` date using a date operator"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"cli_user_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Cli User Id"
},
"issue_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Issue Id"
},
"event_data_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Event Data Id"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
}
}
},
"query_partial_match": {
"type": "boolean",
"description": "Allow partial filter match on query property"
},
"in_progress": {
"type": "boolean",
"description": "Indicates if the bulk cancel is currently in progress"
},
"order_by": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at"
]
},
"description": "Sort key(s)"
},
"dir": {
"type": "array",
"items": {
"type": "string",
"enum": [
"asc",
"desc"
]
},
"description": "Sort direction(s)"
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
},
"required": [
"PCID"
]
}
hookdeck_events_get_event_bulk_retries
Get events bulk retries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cancelled_at | object | No | — | Filter by date the bulk retry was cancelled |
completed_at | object | No | — | Filter by date the bulk retry completed |
created_at | object | No | — | Filter by date the bulk retry was created |
id | string[] | No | — | Filter by bulk retry IDs |
query | object | No | — | Filter for events to be included in the bulk retry, use query parameters of Event |
query_partial_match | boolean | No | — | Allow partial filter match on query property |
in_progress | boolean | No | — | Indicates if the bulk retry is currently in progress |
order_by | string[] | No | — | Sort key(s) |
dir | string[] | No | — | Sort direction(s) |
limit | integer | No | — | Result set size |
next | string | No | — | The ID to provide in the query to get the next set of results |
prev | string | No | — | The ID to provide in the query to get the previous set of results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cancelled_at": {
"description": "Filter by date the bulk retry was cancelled"
},
"completed_at": {
"description": "Filter by date the bulk retry completed"
},
"created_at": {
"description": "Filter by date the bulk retry was created"
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by bulk retry IDs"
},
"query": {
"type": "object",
"description": "Filter for events to be included in the bulk retry, use query parameters of [Event](#events)",
"properties": {
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by event IDs"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SCHEDULED",
"QUEUED",
"HOLD",
"SUCCESSFUL",
"FAILED",
"CANCELLED"
]
},
"description": "Lifecyle status of the event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by connection (webhook) IDs"
},
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination IDs"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"attempts": {
"description": "Filter by number of attempts"
},
"response_status": {
"description": "Filter by HTTP response status code"
},
"successful_at": {
"description": "Filter by `successful_at` date using a date operator"
},
"created_at": {
"description": "Filter by `created_at` date using a date operator"
},
"error_code": {
"type": "array",
"items": {
"type": "string",
"enum": [
"BAD_RESPONSE",
"CANCELLED",
"TIMEOUT",
"NOT_FOUND",
"CANCELLED_PAST_RETENTION",
"CONNECTION_REFUSED",
"CONNECTION_RESET",
"MISSING_URL",
"CLI",
"CLI_UNAVAILABLE",
"SELF_SIGNED_CERT",
"ERR_TLS_CERT_ALTNAME_INVALID",
"ERR_SSL_WRONG_VERSION_NUMBER",
"NETWORK_ERROR",
"NETWORK_REQUEST_CANCELED",
"NETWORK_UNREACHABLE",
"TOO_MANY_REDIRECTS",
"INVALID_CHARACTER",
"INVALID_URL",
"SSL_ERROR_CA_UNKNOWN",
"DATA_ARCHIVED",
"SSL_CERT_EXPIRED",
"BULK_RETRY_CANCELLED",
"DNS_LOOKUP_FAILED",
"HOST_UNREACHABLE",
"INTERNAL_ERROR",
"PROTOCOL_ERROR",
"PAYLOAD_MISSING",
"UNABLE_TO_GET_ISSUER_CERT",
"SOCKET_CLOSED",
"OAUTH2_HANDSHAKE_FAILED",
"Z_DATA_ERROR",
"UNKNOWN"
]
},
"description": "Filter by error code code"
},
"cli_id": {
"description": "Filter by CLI IDs. `?[any]=true` operator for any CLI."
},
"last_attempt_at": {
"description": "Filter by `last_attempt_at` date using a date operator"
},
"next_attempt_at": {
"description": "Filter by `next_attempt_at` date using a date operator"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"cli_user_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Cli User Id"
},
"issue_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Issue Id"
},
"event_data_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Event Data Id"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
}
}
},
"query_partial_match": {
"type": "boolean",
"description": "Allow partial filter match on query property"
},
"in_progress": {
"type": "boolean",
"description": "Indicates if the bulk retry is currently in progress"
},
"order_by": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at"
]
},
"description": "Sort key(s)"
},
"dir": {
"type": "array",
"items": {
"type": "string",
"enum": [
"asc",
"desc"
]
},
"description": "Sort direction(s)"
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
},
"required": [
"PCID"
]
}
hookdeck_events_get_event_bulk_retry
Get an events bulk retry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Bulk retry ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Bulk retry ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_event_raw_body
Get a event raw body data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Event ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Event ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_events
Get events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string[] | No | — | Filter by event IDs |
status | string[] | No | — | Lifecyle status of the event |
webhook_id | string[] | No | — | Filter by connection (webhook) IDs |
destination_id | string[] | No | — | Filter by destination IDs |
source_id | string[] | No | — | Filter by source IDs |
attempts | object | No | — | Filter by number of attempts |
response_status | object | No | — | Filter by HTTP response status code |
successful_at | object | No | — | Filter by successful_at date using a date operator |
created_at | object | No | — | Filter by created_at date using a date operator |
error_code | string[] | No | — | Filter by error code code |
cli_id | object | No | — | Filter by CLI IDs. ?[any]=true operator for any CLI. |
last_attempt_at | object | No | — | Filter by last_attempt_at date using a date operator |
next_attempt_at | object | No | — | Filter by next_attempt_at date using a date operator |
search_term | string | No | — | URL Encoded string of the value to match partially to the body, headers, parsed_query or path |
headers | object | No | — | URL Encoded string of the JSON to match to the data headers |
body | object | No | — | URL Encoded string of the JSON to match to the data body |
parsed_query | object | No | — | URL Encoded string of the JSON to match to the parsed query (JSON representation of the query) |
path | string | No | — | URL Encoded string of the value to match partially to the path |
cli_user_id | string[] | No | — | Cli User Id |
issue_id | string[] | No | — | Issue Id |
event_data_id | string[] | No | — | Event Data Id |
bulk_retry_id | string[] | No | — | Bulk Retry Id |
include | string | No | — | Include the data object in the event model |
progressive | string | No | — | Enable progressive loading for partial results |
order_by | string | No | — | Sort key |
dir | string | No | — | Sort direction |
limit | integer | No | — | Result set size |
next | string | No | — | The ID to provide in the query to get the next set of results |
prev | string | No | — | The ID to provide in the query to get the previous set of results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by event IDs"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SCHEDULED",
"QUEUED",
"HOLD",
"SUCCESSFUL",
"FAILED",
"CANCELLED"
]
},
"description": "Lifecyle status of the event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by connection (webhook) IDs"
},
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination IDs"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"attempts": {
"description": "Filter by number of attempts"
},
"response_status": {
"description": "Filter by HTTP response status code"
},
"successful_at": {
"description": "Filter by `successful_at` date using a date operator"
},
"created_at": {
"description": "Filter by `created_at` date using a date operator"
},
"error_code": {
"type": "array",
"items": {
"type": "string",
"enum": [
"BAD_RESPONSE",
"CANCELLED",
"TIMEOUT",
"NOT_FOUND",
"CANCELLED_PAST_RETENTION",
"CONNECTION_REFUSED",
"CONNECTION_RESET",
"MISSING_URL",
"CLI",
"CLI_UNAVAILABLE",
"SELF_SIGNED_CERT",
"ERR_TLS_CERT_ALTNAME_INVALID",
"ERR_SSL_WRONG_VERSION_NUMBER",
"NETWORK_ERROR",
"NETWORK_REQUEST_CANCELED",
"NETWORK_UNREACHABLE",
"TOO_MANY_REDIRECTS",
"INVALID_CHARACTER",
"INVALID_URL",
"SSL_ERROR_CA_UNKNOWN",
"DATA_ARCHIVED",
"SSL_CERT_EXPIRED",
"BULK_RETRY_CANCELLED",
"DNS_LOOKUP_FAILED",
"HOST_UNREACHABLE",
"INTERNAL_ERROR",
"PROTOCOL_ERROR",
"PAYLOAD_MISSING",
"UNABLE_TO_GET_ISSUER_CERT",
"SOCKET_CLOSED",
"OAUTH2_HANDSHAKE_FAILED",
"Z_DATA_ERROR",
"UNKNOWN"
]
},
"description": "Filter by error code code"
},
"cli_id": {
"description": "Filter by CLI IDs. `?[any]=true` operator for any CLI."
},
"last_attempt_at": {
"description": "Filter by `last_attempt_at` date using a date operator"
},
"next_attempt_at": {
"description": "Filter by `next_attempt_at` date using a date operator"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"cli_user_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Cli User Id"
},
"issue_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Issue Id"
},
"event_data_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Event Data Id"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
},
"include": {
"type": "string",
"description": "Include the data object in the event model",
"enum": [
"data"
]
},
"progressive": {
"type": "string",
"description": "Enable progressive loading for partial results",
"enum": [
"true",
"false"
]
},
"order_by": {
"type": "string",
"description": "Sort key",
"enum": [
"created_at"
]
},
"dir": {
"type": "string",
"description": "Sort direction",
"enum": [
"asc",
"desc"
]
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
},
"required": [
"PCID"
]
}
hookdeck_events_get_ignored_event_bulk_retries
Get ignored events bulk retries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cancelled_at | object | No | — | Filter by date the bulk retry was cancelled |
completed_at | object | No | — | Filter by date the bulk retry completed |
created_at | object | No | — | Filter by date the bulk retry was created |
id | string[] | No | — | Filter by bulk retry IDs |
query | object | No | — | Filter by the bulk retry ignored event query object |
query_partial_match | boolean | No | — | Allow partial filter match on query property |
in_progress | boolean | No | — | Indicates if the bulk retry is currently in progress |
order_by | string[] | No | — | Sort key(s) |
dir | string[] | No | — | Sort direction(s) |
limit | integer | No | — | Result set size |
next | string | No | — | The ID to provide in the query to get the next set of results |
prev | string | No | — | The ID to provide in the query to get the previous set of results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cancelled_at": {
"description": "Filter by date the bulk retry was cancelled"
},
"completed_at": {
"description": "Filter by date the bulk retry completed"
},
"created_at": {
"description": "Filter by date the bulk retry was created"
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by bulk retry IDs"
},
"query": {
"type": "object",
"description": "Filter by the bulk retry ignored event query object",
"properties": {
"cause": {
"type": "array",
"items": {
"type": "string"
},
"description": "The cause of the ignored event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Connection (webhook) ID of the ignored event"
},
"transformation_id": {
"type": "string",
"description": "The associated transformation ID (only applicable to the cause `TRANSFORMATION_FAILED`)"
}
}
},
"query_partial_match": {
"type": "boolean",
"description": "Allow partial filter match on query property"
},
"in_progress": {
"type": "boolean",
"description": "Indicates if the bulk retry is currently in progress"
},
"order_by": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at"
]
},
"description": "Sort key(s)"
},
"dir": {
"type": "array",
"items": {
"type": "string",
"enum": [
"asc",
"desc"
]
},
"description": "Sort direction(s)"
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
},
"required": [
"PCID"
]
}
hookdeck_events_get_ignored_event_bulk_retry
Get an ignored events bulk retry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Bulk retry ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Bulk retry ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_request
Get a request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Request ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Request ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_request_bulk_retries
Get request bulk retries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cancelled_at | object | No | — | Filter by date the bulk retry was cancelled |
completed_at | object | No | — | Filter by date the bulk retry completed |
created_at | object | No | — | Filter by date the bulk retry was created |
id | string[] | No | — | Filter by bulk retry IDs |
in_progress | boolean | No | — | Indicates if the bulk retry is currently in progress |
query | object | No | — | Filter properties for the events to be included in the bulk retry, use query parameters of Requests |
query_partial_match | boolean | No | — | Allow partial filter match on query property |
order_by | string[] | No | — | Sort key(s) |
dir | string[] | No | — | Sort direction(s) |
limit | integer | No | — | Result set size |
next | string | No | — | The ID to provide in the query to get the next set of results |
prev | string | No | — | The ID to provide in the query to get the previous set of results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cancelled_at": {
"description": "Filter by date the bulk retry was cancelled"
},
"completed_at": {
"description": "Filter by date the bulk retry completed"
},
"created_at": {
"description": "Filter by date the bulk retry was created"
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by bulk retry IDs"
},
"in_progress": {
"type": "boolean",
"description": "Indicates if the bulk retry is currently in progress"
},
"query": {
"type": "object",
"description": "Filter properties for the events to be included in the bulk retry, use query parameters of [Requests](#requests)",
"properties": {
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by requests IDs"
},
"status": {
"type": "string",
"description": "Filter by status",
"enum": [
"accepted",
"rejected"
]
},
"rejection_cause": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SOURCE_DISABLED",
"NO_CONNECTION",
"VERIFICATION_FAILED",
"UNSUPPORTED_HTTP_METHOD",
"UNSUPPORTED_CONTENT_TYPE",
"UNPARSABLE_JSON",
"PAYLOAD_TOO_LARGE",
"INGESTION_FATAL",
"UNKNOWN"
]
},
"description": "Filter by rejection cause"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"verified": {
"type": "boolean",
"description": "Filter by verification status"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"ignored_count": {
"description": "Filter by count of ignored events"
},
"events_count": {
"description": "Filter by count of events"
},
"cli_events_count": {
"description": "Filter by count of CLI events"
},
"created_at": {
"description": "Filter by request created date"
},
"ingested_at": {
"description": "Filter by request ingested date"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
},
"include": {
"type": "string",
"description": "Related resources to include",
"enum": [
"data"
]
},
"progressive": {
"type": "string",
"description": "Enable progressive loading for partial results",
"enum": [
"true",
"false"
]
},
"order_by": {
"type": "string",
"description": "Sort key",
"enum": [
"created_at",
"ingested_at"
]
},
"dir": {
"type": "string",
"description": "Sort direction",
"enum": [
"asc",
"desc"
]
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
}
},
"query_partial_match": {
"type": "boolean",
"description": "Allow partial filter match on query property"
},
"order_by": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at"
]
},
"description": "Sort key(s)"
},
"dir": {
"type": "array",
"items": {
"type": "string",
"enum": [
"asc",
"desc"
]
},
"description": "Sort direction(s)"
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
},
"required": [
"PCID"
]
}
hookdeck_events_get_request_bulk_retry
Get a requests bulk retry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Bulk retry ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Bulk retry ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_request_events
Get request events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string[] | Yes | — | Filter by event IDs |
status | string[] | No | — | Lifecyle status of the event |
webhook_id | string[] | No | — | Filter by connection (webhook) IDs |
destination_id | string[] | No | — | Filter by destination IDs |
source_id | string[] | No | — | Filter by source IDs |
attempts | object | No | — | Filter by number of attempts |
response_status | object | No | — | Filter by HTTP response status code |
successful_at | object | No | — | Filter by successful_at date using a date operator |
created_at | object | No | — | Filter by created_at date using a date operator |
error_code | string[] | No | — | Filter by error code code |
cli_id | object | No | — | Filter by CLI IDs. ?[any]=true operator for any CLI. |
last_attempt_at | object | No | — | Filter by last_attempt_at date using a date operator |
next_attempt_at | object | No | — | Filter by next_attempt_at date using a date operator |
search_term | string | No | — | URL Encoded string of the value to match partially to the body, headers, parsed_query or path |
headers | object | No | — | URL Encoded string of the JSON to match to the data headers |
body | object | No | — | URL Encoded string of the JSON to match to the data body |
parsed_query | object | No | — | URL Encoded string of the JSON to match to the parsed query (JSON representation of the query) |
path | string | No | — | URL Encoded string of the value to match partially to the path |
cli_user_id | string[] | No | — | Cli User Id |
issue_id | string[] | No | — | Issue Id |
event_data_id | string[] | No | — | Event Data Id |
bulk_retry_id | string[] | No | — | Bulk Retry Id |
include | string | No | — | Include the data object in the event model |
progressive | string | No | — | Enable progressive loading for partial results |
order_by | string | No | — | Sort key |
dir | string | No | — | Sort direction |
limit | integer | No | — | Result set size |
next | string | No | — | The ID to provide in the query to get the next set of results |
prev | string | No | — | The ID to provide in the query to get the previous set of results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by event IDs"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SCHEDULED",
"QUEUED",
"HOLD",
"SUCCESSFUL",
"FAILED",
"CANCELLED"
]
},
"description": "Lifecyle status of the event"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by connection (webhook) IDs"
},
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination IDs"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"attempts": {
"description": "Filter by number of attempts"
},
"response_status": {
"description": "Filter by HTTP response status code"
},
"successful_at": {
"description": "Filter by `successful_at` date using a date operator"
},
"created_at": {
"description": "Filter by `created_at` date using a date operator"
},
"error_code": {
"type": "array",
"items": {
"type": "string",
"enum": [
"BAD_RESPONSE",
"CANCELLED",
"TIMEOUT",
"NOT_FOUND",
"CANCELLED_PAST_RETENTION",
"CONNECTION_REFUSED",
"CONNECTION_RESET",
"MISSING_URL",
"CLI",
"CLI_UNAVAILABLE",
"SELF_SIGNED_CERT",
"ERR_TLS_CERT_ALTNAME_INVALID",
"ERR_SSL_WRONG_VERSION_NUMBER",
"NETWORK_ERROR",
"NETWORK_REQUEST_CANCELED",
"NETWORK_UNREACHABLE",
"TOO_MANY_REDIRECTS",
"INVALID_CHARACTER",
"INVALID_URL",
"SSL_ERROR_CA_UNKNOWN",
"DATA_ARCHIVED",
"SSL_CERT_EXPIRED",
"BULK_RETRY_CANCELLED",
"DNS_LOOKUP_FAILED",
"HOST_UNREACHABLE",
"INTERNAL_ERROR",
"PROTOCOL_ERROR",
"PAYLOAD_MISSING",
"UNABLE_TO_GET_ISSUER_CERT",
"SOCKET_CLOSED",
"OAUTH2_HANDSHAKE_FAILED",
"Z_DATA_ERROR",
"UNKNOWN"
]
},
"description": "Filter by error code code"
},
"cli_id": {
"description": "Filter by CLI IDs. `?[any]=true` operator for any CLI."
},
"last_attempt_at": {
"description": "Filter by `last_attempt_at` date using a date operator"
},
"next_attempt_at": {
"description": "Filter by `next_attempt_at` date using a date operator"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"cli_user_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Cli User Id"
},
"issue_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Issue Id"
},
"event_data_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Event Data Id"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
},
"include": {
"type": "string",
"description": "Include the data object in the event model",
"enum": [
"data"
]
},
"progressive": {
"type": "string",
"description": "Enable progressive loading for partial results",
"enum": [
"true",
"false"
]
},
"order_by": {
"type": "string",
"description": "Sort key",
"enum": [
"created_at"
]
},
"dir": {
"type": "string",
"description": "Sort direction",
"enum": [
"asc",
"desc"
]
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_request_ignored_events
Get request ignored events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string[] | Yes | — | Filter by ignored events IDs |
order_by | string[] | No | — | Sort key(s) |
dir | string[] | No | — | Sort direction(s) |
limit | integer | No | — | Result set size |
next | string | No | — | The ID to provide in the query to get the next set of results |
prev | string | No | — | The ID to provide in the query to get the previous set of results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by ignored events IDs"
},
"order_by": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at"
]
},
"description": "Sort key(s)"
},
"dir": {
"type": "array",
"items": {
"type": "string",
"enum": [
"asc",
"desc"
]
},
"description": "Sort direction(s)"
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_request_raw_body
Get a request raw body data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Request ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Request ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_get_requests
Get requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string[] | No | — | Filter by requests IDs |
status | string | No | — | Filter by status |
rejection_cause | string[] | No | — | Filter by rejection cause |
source_id | string[] | No | — | Filter by source IDs |
verified | boolean | No | — | Filter by verification status |
search_term | string | No | — | URL Encoded string of the value to match partially to the body, headers, parsed_query or path |
headers | object | No | — | URL Encoded string of the JSON to match to the data headers |
body | object | No | — | URL Encoded string of the JSON to match to the data body |
parsed_query | object | No | — | URL Encoded string of the JSON to match to the parsed query (JSON representation of the query) |
path | string | No | — | URL Encoded string of the value to match partially to the path |
ignored_count | object | No | — | Filter by count of ignored events |
events_count | object | No | — | Filter by count of events |
cli_events_count | object | No | — | Filter by count of CLI events |
created_at | object | No | — | Filter by request created date |
ingested_at | object | No | — | Filter by request ingested date |
bulk_retry_id | string[] | No | — | Bulk Retry Id |
include | string | No | — | Related resources to include |
progressive | string | No | — | Enable progressive loading for partial results |
order_by | string | No | — | Sort key |
dir | string | No | — | Sort direction |
limit | integer | No | — | Result set size |
next | string | No | — | The ID to provide in the query to get the next set of results |
prev | string | No | — | The ID to provide in the query to get the previous set of results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by requests IDs"
},
"status": {
"type": "string",
"description": "Filter by status",
"enum": [
"accepted",
"rejected"
]
},
"rejection_cause": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SOURCE_DISABLED",
"NO_CONNECTION",
"VERIFICATION_FAILED",
"UNSUPPORTED_HTTP_METHOD",
"UNSUPPORTED_CONTENT_TYPE",
"UNPARSABLE_JSON",
"PAYLOAD_TOO_LARGE",
"INGESTION_FATAL",
"UNKNOWN"
]
},
"description": "Filter by rejection cause"
},
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source IDs"
},
"verified": {
"type": "boolean",
"description": "Filter by verification status"
},
"search_term": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the body, headers, parsed_query or path"
},
"headers": {
"description": "URL Encoded string of the JSON to match to the data headers"
},
"body": {
"description": "URL Encoded string of the JSON to match to the data body"
},
"parsed_query": {
"description": "URL Encoded string of the JSON to match to the parsed query (JSON representation of the query)"
},
"path": {
"type": "string",
"description": "URL Encoded string of the value to match partially to the path"
},
"ignored_count": {
"description": "Filter by count of ignored events"
},
"events_count": {
"description": "Filter by count of events"
},
"cli_events_count": {
"description": "Filter by count of CLI events"
},
"created_at": {
"description": "Filter by request created date"
},
"ingested_at": {
"description": "Filter by request ingested date"
},
"bulk_retry_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Bulk Retry Id"
},
"include": {
"type": "string",
"description": "Related resources to include",
"enum": [
"data"
]
},
"progressive": {
"type": "string",
"description": "Enable progressive loading for partial results",
"enum": [
"true",
"false"
]
},
"order_by": {
"type": "string",
"description": "Sort key",
"enum": [
"created_at",
"ingested_at"
]
},
"dir": {
"type": "string",
"description": "Sort direction",
"enum": [
"asc",
"desc"
]
},
"limit": {
"type": "integer",
"description": "Result set size"
},
"next": {
"type": "string",
"description": "The ID to provide in the query to get the next set of results"
},
"prev": {
"type": "string",
"description": "The ID to provide in the query to get the previous set of results"
}
},
"required": [
"PCID"
]
}
hookdeck_events_query_attempt_metrics
Query attempt metrics Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date_range | object | No | — | Date Range |
granularity | string | No | — | Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d |
filters | object | No | — | The filters value |
measures | string[] | No | — | Metrics to calculate |
dimensions | string[] | No | — | Dimensions to group by |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date_range": {
"type": "object",
"description": "Date Range",
"properties": {
"start": {
"type": "string",
"description": "Start of the time range in ISO 8601 format"
},
"end": {
"type": "string",
"description": "End of the time range in ISO 8601 format"
}
},
"required": [
"start",
"end"
]
},
"granularity": {
"type": "string",
"description": "Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d"
},
"filters": {
"type": "object",
"description": "The filters value",
"properties": {
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination ID (single value or array)"
},
"event_id": {
"type": "string",
"description": "Filter by event ID"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SUCCESSFUL",
"FAILED"
]
},
"description": "Filter by attempt status (single value or array)"
},
"error_code": {
"type": "string",
"description": "Filter by error code"
},
"bulk_retry_id": {
"type": "string",
"description": "Filter by bulk retry ID"
},
"trigger": {
"type": "string",
"description": "Filter by trigger type"
}
}
},
"measures": {
"type": "array",
"items": {
"type": "string",
"enum": [
"count",
"successful_count",
"failed_count",
"delivered_count",
"error_rate",
"response_latency_avg",
"response_latency_max",
"response_latency_p95",
"response_latency_p99",
"delivery_latency_avg"
]
},
"description": "Metrics to calculate"
},
"dimensions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"destination_id",
"event_id",
"status",
"error_code",
"bulk_retry_id",
"trigger"
]
},
"description": "Dimensions to group by"
}
},
"required": [
"PCID"
]
}
hookdeck_events_query_event_metrics
Query event metrics Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date_range | object | No | — | Date Range |
granularity | string | No | — | Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d |
filters | object | No | — | The filters value |
measures | string[] | No | — | Metrics to calculate |
dimensions | string[] | No | — | Dimensions to group by |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date_range": {
"type": "object",
"description": "Date Range",
"properties": {
"start": {
"type": "string",
"description": "Start of the time range in ISO 8601 format"
},
"end": {
"type": "string",
"description": "End of the time range in ISO 8601 format"
}
},
"required": [
"start",
"end"
]
},
"granularity": {
"type": "string",
"description": "Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d"
},
"filters": {
"type": "object",
"description": "The filters value",
"properties": {
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source ID (single value or array)"
},
"webhook_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by webhook/connection ID (single value or array)"
},
"destination_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by destination ID (single value or array)"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SUCCESSFUL",
"FAILED",
"QUEUED",
"CANCELLED",
"HOLD",
"SCHEDULED"
]
},
"description": "Filter by event status (single value or array)"
},
"error_code": {
"type": "string",
"description": "Filter by error code"
},
"issue_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by issue IDs (array contains match)"
},
"bulk_retry_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by bulk retry operation IDs (array contains match)"
},
"event_data_id": {
"type": "string",
"description": "Filter by event data ID"
},
"cli_id": {
"type": "string",
"description": "Filter by CLI ID"
},
"cli_user_id": {
"type": "string",
"description": "Filter by CLI user ID"
},
"attempts": {
"type": "integer",
"description": "Filter by number of attempts"
},
"response_status": {
"type": "integer",
"description": "Filter by HTTP response status code"
}
}
},
"measures": {
"type": "array",
"items": {
"type": "string",
"enum": [
"count",
"successful_count",
"failed_count",
"scheduled_count",
"paused_count",
"error_rate",
"avg_attempts",
"scheduled_retry_count"
]
},
"description": "Metrics to calculate"
},
"dimensions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"status",
"source_id",
"webhook_id",
"destination_id",
"error_code",
"event_data_id",
"cli_id",
"cli_user_id",
"attempts",
"response_status"
]
},
"description": "Dimensions to group by"
}
},
"required": [
"PCID"
]
}
hookdeck_events_query_events_by_issue_metrics
Query event metrics grouped by individual issue Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date_range | object | No | — | Date Range |
granularity | string | No | — | Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d |
filters | object | No | — | The filters value |
measures | string[] | No | — | Metrics to calculate |
dimensions | string[] | No | — | Dimensions to group by |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date_range": {
"type": "object",
"description": "Date Range",
"properties": {
"start": {
"type": "string",
"description": "Start of the time range in ISO 8601 format"
},
"end": {
"type": "string",
"description": "End of the time range in ISO 8601 format"
}
},
"required": [
"start",
"end"
]
},
"granularity": {
"type": "string",
"description": "Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d"
},
"filters": {
"type": "object",
"description": "The filters value",
"properties": {
"issue_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by issue ID(s) - required. Single ID or array of IDs"
},
"source_id": {
"type": "string",
"description": "Filter by source ID"
},
"destination_id": {
"type": "string",
"description": "Filter by destination ID"
},
"webhook_id": {
"type": "string",
"description": "Filter by webhook/connection ID"
}
},
"required": [
"issue_id"
]
},
"measures": {
"type": "array",
"items": {
"type": "string",
"enum": [
"count"
]
},
"description": "Metrics to calculate"
},
"dimensions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"issue_id",
"source_id",
"destination_id",
"webhook_id"
]
},
"description": "Dimensions to group by"
}
},
"required": [
"PCID"
]
}
hookdeck_events_query_events_pending_timeseries_metrics
Query events pending timeseries metrics Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date_range | object | No | — | Date Range |
granularity | string | No | — | Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d |
filters | object | No | — | The filters value |
measures | string[] | No | — | List of measures to aggregate (count) |
dimensions | string[] | No | — | List of dimensions to group by |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date_range": {
"type": "object",
"description": "Date Range",
"properties": {
"start": {
"type": "string",
"description": "Start of the time range in ISO 8601 format"
},
"end": {
"type": "string",
"description": "End of the time range in ISO 8601 format"
}
},
"required": [
"start",
"end"
]
},
"granularity": {
"type": "string",
"description": "Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d"
},
"filters": {
"type": "object",
"description": "The filters value",
"properties": {
"destination_id": {
"type": "string",
"description": "Filter by destination ID"
}
}
},
"measures": {
"type": "array",
"items": {
"type": "string",
"enum": [
"count"
]
},
"description": "List of measures to aggregate (count)"
},
"dimensions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"destination_id"
]
},
"description": "List of dimensions to group by"
}
},
"required": [
"PCID"
]
}
hookdeck_events_query_queue_depth_metrics
Query queue depth metrics Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date_range | object | No | — | Date Range |
granularity | string | No | — | Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d |
filters | object | No | — | The filters value |
measures | string[] | No | — | Metrics to calculate |
dimensions | string[] | No | — | Dimensions to group by |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date_range": {
"type": "object",
"description": "Date Range",
"properties": {
"start": {
"type": "string",
"description": "Start of the time range in ISO 8601 format"
},
"end": {
"type": "string",
"description": "End of the time range in ISO 8601 format"
}
},
"required": [
"start",
"end"
]
},
"granularity": {
"type": "string",
"description": "Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d"
},
"filters": {
"type": "object",
"description": "The filters value",
"properties": {
"destination_id": {
"type": "string",
"description": "Filter by destination ID"
}
}
},
"measures": {
"type": "array",
"items": {
"type": "string",
"enum": [
"max_depth",
"max_age"
]
},
"description": "Metrics to calculate"
},
"dimensions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"destination_id"
]
},
"description": "Dimensions to group by"
}
},
"required": [
"PCID"
]
}
hookdeck_events_query_request_metrics
Query request metrics Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date_range | object | No | — | Date Range |
granularity | string | No | — | Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d |
filters | object | No | — | The filters value |
measures | string[] | No | — | Metrics to calculate |
dimensions | string[] | No | — | Dimensions to group by |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date_range": {
"type": "object",
"description": "Date Range",
"properties": {
"start": {
"type": "string",
"description": "Start of the time range in ISO 8601 format"
},
"end": {
"type": "string",
"description": "End of the time range in ISO 8601 format"
}
},
"required": [
"start",
"end"
]
},
"granularity": {
"type": "string",
"description": "Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d"
},
"filters": {
"type": "object",
"description": "The filters value",
"properties": {
"source_id": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by source ID (single value or array)"
},
"rejection_cause": {
"type": "array",
"items": {
"type": "string",
"enum": [
"SOURCE_DISABLED",
"NO_CONNECTION",
"VERIFICATION_FAILED",
"UNSUPPORTED_HTTP_METHOD",
"UNSUPPORTED_CONTENT_TYPE",
"UNPARSABLE_JSON",
"PAYLOAD_TOO_LARGE",
"INGESTION_FATAL",
"UNKNOWN"
]
},
"description": "Filter by rejection cause (single value or array)"
},
"status": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ACCEPTED",
"REJECTED"
]
},
"description": "Filter by request status (single value or array)"
},
"bulk_retry_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by bulk retry operation IDs"
},
"events_count": {
"type": "object",
"description": "Filter by number of events created (range with min/max)"
},
"ignored_count": {
"type": "object",
"description": "Filter by number of ignored connections (range with min/max)"
}
}
},
"measures": {
"type": "array",
"items": {
"type": "string",
"enum": [
"count",
"accepted_count",
"rejected_count",
"discarded_count",
"avg_events_per_request",
"avg_ignored_per_request"
]
},
"description": "Metrics to calculate"
},
"dimensions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"source_id",
"rejection_cause",
"status",
"bulk_retry_ids",
"events_count",
"ignored_count"
]
},
"description": "Dimensions to group by"
}
},
"required": [
"PCID"
]
}
hookdeck_events_query_transformation_metrics
Query transformation execution metrics Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date_range | object | No | — | Date Range |
granularity | string | No | — | Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d |
filters | object | No | — | The filters value |
measures | string[] | No | — | Metrics to calculate |
dimensions | string[] | No | — | Dimensions to group by |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date_range": {
"type": "object",
"description": "Date Range",
"properties": {
"start": {
"type": "string",
"description": "Start of the time range in ISO 8601 format"
},
"end": {
"type": "string",
"description": "End of the time range in ISO 8601 format"
}
},
"required": [
"start",
"end"
]
},
"granularity": {
"type": "string",
"description": "Time bucket granularity. Format: <number><unit> where unit is s (seconds 1-60), m (minutes 1-60), h (hours 1-24), d (days 1-31), w (weeks 1-4), M (months 1-12). Examples: 1s, 5m, 1h, 1d"
},
"filters": {
"type": "object",
"description": "The filters value",
"properties": {
"transformation_id": {
"type": "string",
"description": "Filter by transformation ID"
},
"webhook_id": {
"type": "string",
"description": "Filter by connection ID"
},
"log_level": {
"type": "string",
"description": "Filter by log level",
"enum": [
"error",
"warn",
"info",
"debug",
""
]
},
"issue_id": {
"type": "string",
"description": "Filter by issue ID"
}
}
},
"measures": {
"type": "array",
"items": {
"type": "string",
"enum": [
"count",
"successful_count",
"failed_count",
"error_rate",
"error_count",
"warn_count",
"info_count",
"debug_count"
]
},
"description": "Metrics to calculate"
},
"dimensions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"transformation_id",
"webhook_id",
"log_level",
"issue_id"
]
},
"description": "Dimensions to group by"
}
},
"required": [
"PCID"
]
}
hookdeck_events_retry_event
Retry an event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Event ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Event ID"
}
},
"required": [
"PCID",
"id"
]
}
hookdeck_events_retry_request
Retry a request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Request ID |
webhook_ids | string[] | No | — | Subset of connection (webhook) IDs to re-run the event logic on. Useful to retry only specific ignored_events. If left empty, all connection (webhook) IDs will be considered. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Request ID"
},
"webhook_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Subset of connection (webhook) IDs to re-run the event logic on. Useful to retry only specific ignored_events. If left empty, all connection (webhook) IDs will be considered."
}
},
"required": [
"PCID",
"id"
]
}

